# std::experimental::source_location::source_location

From cppreference.com
< cpp‎ | experimental‎ | source location

constexpr source_location() noexcept; | (1) | (library fundamentals TS v2)
source_location( const source_location& other ) = default; | (2) | (library fundamentals TS v2) (implicitly declared)
source_location( source_location&& other ) = default; | (3) | (library fundamentals TS v2) (implicitly declared)

1) Constructs an `source_location` object whose values are implementation defined.
2-3) Implicitly declared copy and move constructors.

### Parameters

other | - | another `source_location` to copy from

### See also

current [static] | constructs a new `source_location` (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/source_location/source_location&oldid=98274"